id: com.roundabout_host.Izvor
runtime: org.freedesktop.Platform
runtime-version: "24.08"
sdk: org.freedesktop.Sdk
command: izvor
finish-args:
  - --share=network
  - --filesystem=host
  - --socket=fallback-x11
  - --share=ipc
  - --socket=wayland
  - --talk-name=org.freedesktop.Flatpak
modules:
  # flatpak-pip-generator
  - pypi-dependencies.json
  - name: izvor
    buildsystem: simple
    build-commands:
      - unset GTK_MODULES
      - mkdir -p /app/bin /app/share/izvor
      - cp -r ./* /app/share/izvor/
      - chmod +x /app/share/izvor/__init__.py
      - ln -s /app/share/izvor/__init__.py /app/bin/izvor
    sources:
      - type: dir
        path: src
  - name: izvor_utils
    buildsystem: simple
    build-commands:
      - mkdir -p /app/lib/python3.12/site-packages/izvor_utils
      - cp -r . /app/lib/python3.12/site-packages/izvor_utils/
    sources:
      - type: dir
        path: izvor_utils
  - name: icon
    buildsystem: simple
    build-commands:
      - mkdir -p /app/share/icons/hicolor/scalable/apps
      - cp com.roundabout_host.Izvor.svg /app/share/icons/hicolor/scalable/apps/
    sources:
      - type: file
        path: com.roundabout_host.Izvor.svg
  - name: metainfo
    buildsystem: simple
    build-commands:
      - install -Dm644 com.roundabout_host.Izvor.metainfo.xml /app/share/metainfo/com.roundabout_host.Izvor.metainfo.xml
    sources:
      - type: file
        path: com.roundabout_host.Izvor.metainfo.xml
  - name: desktop
    buildsystem: simple
    build-commands:
      - mkdir -p /app/share/applications
      - cp com.roundabout_host.Izvor.desktop /app/share/applications/
    sources:
      - type: file
        path: com.roundabout_host.Izvor.desktop
